#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1 )
#-----------------------------------------------------------------------------
Name		:	libhandy
Version		:	1.6.2
Release		:	14.8.0.0%{?dist}
Summary		:	A library is to help with developing UI for mobile devices
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GNU LGPLv2.1
URL		:	https://gitlab.gnome.org/Community/Purism/libhandy/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gtk-doc
BuildRequires	:	meson
BuildRequires	:	vala

BuildRequires	:	pkgconfig(gio-2.0)
BuildRequires	:	pkgconfig(gladeui-2.0)
BuildRequires	:	pkgconfig(glib-2.0)
BuildRequires	:	pkgconfig(gmodule-2.0)
BuildRequires	:	pkgconfig(gobject-introspection-1.0)
BuildRequires	:	pkgconfig(gtk+-3.0) >= 3.24.1

#-----------------------------------------------------------------------------
%description
The aim of The handy library is to help with developing UI for mobile devices
using GTK+/GNOME.

#-----------------------------------------------------------------------------
%files	-f	 libhandy.lang
%defattr(-,root,root,-)
%doc README.md
%license COPYING
%{_libdir}/%{name}-%{majorver}.so.0
%{_libdir}/girepository-1.0/*.typelib

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{majorver}/*.h
%{_libdir}/%{name}-%{majorver}.so
%{_libdir}/pkgconfig/%{name}-%{majorver}.pc
%{_libdir}/glade/modules/libglade-handy-%{majorver}.so
%{_datadir}/gir-1.0/*.gir
%{_datadir}/glade/catalogs/%{name}-%{majorver}.xml
%{_datadir}/vala/vapi/%{name}*-%{majorver}.{deps,vapi}

#=============================================================================
%prep
%setup -q
%autosetup -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=plain				\
	-D examples=false				\
	-D gtk_doc=false				\
	-D glade_catalog=enabled			\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

%find_lang libhandy libhandy.lang

#-----------------------------------------------------------------------------
%changelog

